const joi = require("joi")

const AlertSchema = joi.object({
  type: joi.number().required(),
  inputs: joi.object().keys().pattern(/^[0-9]?/, joi.array().items(joi.number().optional())).optional(),
  date: joi.date().timestamp("unix").optional().default(new Date())
})

module.exports = AlertSchema